var introState = {

	create: function () {
        
        this.ButtonSound = this.add.audio('button');
        
        var out = [];
		var bmd = game.add.bitmapData(720, 480);
		bmd.addToWorld();
		var y = 0;
		for (var i = 0; i < 240; i++)
		{
			var c = Phaser.Color.interpolateColor(0xfff1bd, 0xccb975, 240, i);
			bmd.rect(0, y, 720, y+2, Phaser.Color.getWebRGB(c));
			out.push(Phaser.Color.getWebRGB(c));
			y += 2;
		}
        
        this.airship = game.add.sprite(139, 332, 'TitleImages');
		this.airship.frameName = 'Airship.psd';
        this.airship.anchor.setTo(0.5, 0.5);
        
        game.add.tween(this.airship).to({  y: this.airship.y + 10 }, 3000, Phaser.Easing.InOut, true, 0, -1, true);
        
        this.balloon = game.add.sprite(600, 155, 'TitleImages');
		this.balloon.frameName = 'Balloon.psd';
        this.balloon.anchor.setTo(0.5, 0.5);
        
        game.add.tween(this.balloon).to({  y: this.balloon.y + 15 }, 2000, Phaser.Easing.InOut, true, 0, -1, true);
        
        this.clouds = game.add.sprite(0, 480, 'TitleImages');
		this.clouds.frameName = 'Clouds.psd';
        this.clouds.anchor.setTo(0, 1);
        
        this.introText = game.add.sprite(360, 192, 'TitleImages');
		this.introText.frameName = 'IntroText.psd';
        this.introText.anchor.setTo(0.5, 0.5);

        
        this.goBtnBkgnd = game.add.sprite(360, 418, 'TitleImages');
		this.goBtnBkgnd.frameName = 'GoBtnBkgnd.psd';
        this.goBtnBkgnd.anchor.setTo(0.5, 0.5);
                
        this.goBtn = game.add.button(364, 418, 'TitleImages', this.onGoBtnDown, this, 'GoBtn.psd', 'GoBtn.psd', 'GoBtnDown.psd');
        this.goBtn.anchor.setTo(0.5, 0.5);
	},
    
    update: function () {
         this.goBtnBkgnd.angle += 1;
    },

	onGoBtnDown: function () {
        this.ButtonSound.play();
        game.state.start('game');
	}
};