var gameState = {
	
//	preload: function () {
//      game.time.advancedTiming = true;
//    },
//	
//	render: function()
//    {
//        game.debug.text(game.time.fps || '--', 2, 14, "#00ff00");   
//    },

	create: function () {
		this.sleighState = "flying";
		this.sleighX = 110;
		this.sleighRadius = 34;
        this.sleighSpeed = 4;
		this.fullSpeed = 4;
		this.sleighStartVelocity = 100;
		this.sleighVelocity = 100;
        this.gameWidth = 720;
		this.gameGravity = 250;
		this.distance = 0;
		this.displayDistance = 0;
		this.bestDistance = 0;
		this.score = 0;
		this.lives = 1;
		this.totalCandies = 0;
		this.sleighLevel = 0;
		this.shieldLevel = 0;
		this.magnetLevel = 0;
		this.shieldOn = false;
		this.magnetOn = false;
        this.sleighUpgradesArray = [100,200,400,"Max"];
        this.shieldUpgradesArray = [100,200,400,"Max"];
        this.magnetUpgradesArray = [100,200,400,"Max"];
        this.livesArray = [1,2,3,4];
		this.distanceBetweenObstacles = 720;
		this.distanceMovedAfterObstacle = 0;
        
        game.world.setBounds(0, 0, 720, 470);
        
        this.CrashSound = this.add.audio('crash');
        this.PickUpCandySound = this.add.audio('pickupCandy', 0.2);
		this.ButtonSound = this.add.audio('button');
		this.SwishSound = this.add.audio('swish');
		this.RatchetSound = this.add.audio('ratchet');
        this.CannonSound = this.add.audio('cannonBlast');
		
        game.physics.startSystem(Phaser.Physics.ARCADE);

		var out = [];
		var bmd = game.add.bitmapData(720, 480);
		bmd.addToWorld();
		var y = 0;
		for (var i = 0; i < 240; i++)
		{
			var c = Phaser.Color.interpolateColor(0xfff1bd, 0xccb975, 240, i);
			bmd.rect(0, y, 720, y+2, Phaser.Color.getWebRGB(c));
			out.push(Phaser.Color.getWebRGB(c));
			y += 2;
		}
        
        this.cloudsFarTile = game.add.tileSprite(0, 80, 720, 400, 'GameImages', 'CloudsFar.psd');
        this.cloudsNearTile = game.add.tileSprite(0, 212, 720, 268, 'GameImages', 'CloudsNear.psd');
        this.skylineTile = game.add.tileSprite(0, 400, 720, 80, 'GameImages', 'Skyline.psd');
        this.foregndTile = game.add.tileSprite(0, 440, 720, 40, 'GameImages', 'Foregnd.psd');
		
		
		//_________________________________________
		
		//Arrows
		this.obstacleArray1 = [[1,12,252], [1,56,252], [1,100,252], [1,34,288], [1,78,288], [1,122,288], [1,12,324], [1,56,324], [1,100,324],
			[1,234,158], [1,278,158], [1,322,158], [1,256,194], [1,300,194], [1,344,194], [1,234,230], [1,278,230], [1,322,230], [2,496,200]];
        
		//Roller coaster
		this.obstacleArray2 = [[1,12,169], [1,79,108], [1,185,67], [1,285,85], [1,371,130], [1,443,193], [1,506,259], [1,570,334], [1,633,400], [1,716,434], [1,812,403], [1,893,361], [1,964,306], [2,184,236], [2,716,236]];
        
		//Long Arrow
        this.obstacleArray3 = [
[1,112,134], [1,212,134], [1,312,134], [1,412,134], 
[1,62,184], [1,162,184], [1,262,184], [1,362,184], [1,462,184],
[1,12,234], [1,112,234], [1,212,234], [1,312,234], [1,412,234], [1,512,234],
[1,62,284], [1,162,284], [1,262,284], [1,362,284], [1,462,284],
[1,112,334], [1,212,334], [1,312,334], [1,412,334]];
        
		//Big Gear
this.obstacleArray4 = [
[1,12,240], [1,67,240], [1,122,240], [1,177,240],  [1,232,240], [1,287,240], [1,342,240],
[1,94,97],  [1,122,145], [1,150,192], [1,204,288], [1,232,335],  [1,260,383], 
[1,260,97], [1,232,145], [1,204,192], [1,150,288], [1,122,335], [1,94,383], 
[1,177,75], [1,320,158], [1,320,323], [1,177,405], [1,34,323], [1,34,158] ];
        
        //Ramp Up
        this.obstacleArray5 = [
[1,12,360], [1,57,340], [1,102,320], [1,147,300], [1,192,280], [1,237,260], [1,282,240], [1,327,220], [1,372,200], [1,417,180], [1,462,160], [1,507,140], [1,552,120]];
        
        //Double Ramp Down
this.obstacleArray6 = [
[1,12,112],  [1,102,142], [1,192,172],[1,282,202],  [1,372,232],[1,462,262], [1,552,292],
[1,45,162], [1,135,192], [1,225,222], [1,315,252], [1,405,282], [1,495,312], [1,585,342] ];
        
         //Lazy Double S
        this.obstacleArray7 = [
[1,12,148], [1,59,140], [1,105,134], [1,151,142], [1,198,153],
[1,12,194], [1,59,186], [1,105,180], [1,151,188], [1,198,199],
[1,299,282], [1,346,293], [1,392,301], [1,438,295], [1,485,287], 
[1,299,328], [1,346,339], [1,392,347], [1,438,341], [1,485,333], 
[1,586,148], [1,633,140], [1,679,134], [1,725,142], [1,772,153],
[1,586,194], [1,633,186], [1,679,180], [1,725,188], [1,772,199],
[3,105,311], [4,392,152], [3,679,311]];
		
		    //Wide W
		this.obstacleArray8 = [
[1,12,236], [1,45,304], [1,101,357], [1,187,381], [1,278,359], [1,350,308],  [1,400,245], [1,443,190], [1,502,149], [1,576,130], [1,659,147], [1,726,190], [1,778,244], [1,830,303], [1,906,352], [1,1010,375], [1,1104,355], [1,1171,305], [1,1210,239],
 [3,200,180], [4,582,296], [3,1020,190]];
		
		  //Chimneys
this.obstacleArray9 = [
[6,75,388], [7,75,242]];
		
		//Down the Middle
		this.obstacleArray10 = [
[1,12,248], [1,62,278], [1,112,248], [1,162,278],  [1,212,248], [1,262,278], [1,312,248], [1,362,278], [1,412,248], [1,462,278], [1,512,248], [1,562,278], [1,612,248], [1,662,278],
[2,139,102], [5,282,398], [4,440,110], [3,590,392]];
        
        //PirateShip
        this.obstacleArray11 = [
[8,70,240]];
        
        //Four Corners
        this.obstacleArray12 = [
[1,12,226], [1,54,208], [1,54,247],
[1,188,86], [1,168,119], [1,209,119],
[1,188,372], [1,168,340], [1,209,340],
[1,322,208], [1,322,247], [1,364,226], 
[5,188,226] ];
		
		this.obstaclesList = [this.obstacleArray1, this.obstacleArray2, this.obstacleArray3, this.obstacleArray4, this.obstacleArray5, this.obstacleArray6, this.obstacleArray7, this.obstacleArray8, this.obstacleArray9, this.obstacleArray10, this.obstacleArray11, this.obstacleArray12];
		this.obstaclesDistanceList = [700, 1200, 600, 600, 800, 800, 1000, 1500, 500, 800, 400, 600];
		
//		this.obstaclesList = [this.obstacleArray11];
//		this.obstaclesDistanceList = [400];
		
        this.obstacleGroup = game.add.group();
		
		this.sleighArray = ['Sleigh1.psd','Sleigh3.psd','Sleigh5.psd','Sleigh7.psd','Sleigh2.psd','Sleigh4.psd','Sleigh6.psd','Sleigh8.psd'];
		
        this.sleigh = game.add.sprite(this.sleighX, 200, 'GameImages');
		this.sleigh.frameName = 'Sleigh1.psd';
        this.sleigh.anchor.setTo(0.5, 0.5);
		
		this.shield = game.add.sprite(this.sleighX, 200, 'GameImages');
		this.shield.frameName = 'Shield.psd';
        this.shield.anchor.setTo(0.5, 0.5);
		this.shield.visible = false;
		
		this.magnetBorder = game.add.sprite(this.sleighX, 200, 'GameImages');
		this.magnetBorder.frameName = 'MagnetBorder.psd';
        this.magnetBorder.anchor.setTo(0.5, 0.5);
		this.magnetBorder.visible = false;
		
		game.physics.arcade.enable(this.sleigh);
        this.sleigh.body.gravity.y = this.gameGravity;
        this.sleigh.body.collideWorldBounds = true;
        
        
//        for (var i = 1;i<=70; i++) {
//            var candy =  game.add.sprite(this.obstaclesList[obstacleNum][i][1] + this.gameWidth, this.obstaclesList[obstacleNum][i][2], 'GameImages');
//                    candy.animations.add("candyAnim", Phaser.Animation.generateFrameNames('CandyAnim', 1, 20, '.png', 4));
//					candy.frameName = 'CandyAnim0001.png';
//					candy.anchor.setTo(0.5, 0.5);
//                    candy.type = "candy";
//                    candy.shined = false;
//					game.physics.arcade.enable(candy);
//					//this.obstacleGroup.add(candy);
//        }
//		
		
		//_________________________________________
		
		this.HUD = game.add.group();

		this.HUDHeart = game.add.sprite(260, 24, 'GameImages');
		this.HUDHeart.frameName = 'Heart.psd';
        this.HUDHeart.anchor.setTo(0.5, 0.5);
		this.HUD.add(this.HUDHeart);
		
		this.HUDLives = game.add.text(278, 24, this.lives, { font: '20px Noto Serif', fontWeight: 'Bold', fill: '#c1272d', align: 'left'});
        this.HUDLives.anchor.setTo(0, 0.4);
		this.HUD.add(this.HUDLives);
        
        this.HUDDistance = game.add.text(360, 24, this.displayDistance + " m", { font: '20px Noto Serif', fontWeight: 'Bold', fill: '#c1272d', align: 'center'});
        this.HUDDistance.anchor.setTo(.5, 0.4);
		this.HUD.add(this.HUDDistance);
		
		this.HUDCandy = game.add.sprite(447, 24, 'GameImages');
		this.HUDCandy.frameName = 'Candy.psd';
        this.HUDCandy.anchor.setTo(0.5, 0.5);
		this.HUD.add(this.HUDCandy);
				
		this.HUDScore = game.add.text(466, 24, this.score, { font: '20px Noto Serif', fontWeight: 'Bold', fill: '#c1272d', align: 'right'});
        this.HUDScore.anchor.setTo(0, 0.4);
		this.HUD.add(this.HUDScore);
		
		//_________________________________________
		
		this.roundOverPopupGroup  = game.add.group();
		this.roundOverPopupGroup.visible = false;
		
		this.roundOverPopupGear1 = game.add.sprite(360-100, 240-174, 'GameImages');
		this.roundOverPopupGear1.frameName = 'RoundOverPopupGear1.psd';
        this.roundOverPopupGear1.anchor.setTo(0.5, 0.5);
		this.roundOverPopupGroup.add(this.roundOverPopupGear1);
		
		this.roundOverPopupGear2 = game.add.sprite(360+80, 240-152, 'GameImages');
		this.roundOverPopupGear2.frameName = 'RoundOverPopupGear2.psd';
        this.roundOverPopupGear2.anchor.setTo(0.5, 0.5);
		this.roundOverPopupGroup.add(this.roundOverPopupGear2);
		
		this.roundOverPopup = game.add.sprite(360, 240, 'GameImages');
		this.roundOverPopup.frameName = 'RoundOverPopup.psd';
        this.roundOverPopup.anchor.setTo(0.5, 0.5);
		this.roundOverPopupGroup.add(this.roundOverPopup);
        
        this.bronzeGear = game.add.sprite(this.roundOverPopup.x-91.574, this.roundOverPopup.y-121, 'GameImages');
		this.bronzeGear.frameName = 'BronzeGear.psd';
        this.bronzeGear.anchor.setTo(0.5, 0.5);
        this.bronzeGear.visible = false;
		this.roundOverPopupGroup.add(this.bronzeGear);
        
        this.silverGear = game.add.sprite(this.roundOverPopup.x, this.roundOverPopup.y-121, 'GameImages');
		this.silverGear.frameName = 'SilverGear.psd';
        this.silverGear.anchor.setTo(0.5, 0.5);
        this.silverGear.visible = false;
		this.roundOverPopupGroup.add(this.silverGear);
        
        this.goldGear = game.add.sprite(this.roundOverPopup.x+91.574, this.roundOverPopup.y-121, 'GameImages');
		this.goldGear.frameName = 'GoldGear.psd';
        this.goldGear.anchor.setTo(0.5, 0.5);
        this.goldGear.visible = false;
		this.roundOverPopupGroup.add(this.goldGear);
		
		this.roundOverLabels = game.add.text(this.roundOverPopup.x -134, this.roundOverPopup.y-51, "Best Distance:\nDistance:\nCandies:\nTotal Candies:", { font: '18px Noto Serif', fill: '#4d4d4d', align: 'left'});
        this.roundOverLabels.anchor.setTo(0,0);
		this.roundOverLabels.wordWrap = true;
		this.roundOverLabels.wordWrapWidth= 300;
		this.roundOverPopupGroup.add(this.roundOverLabels);
		
		this.roundOverNumbers = game.add.text(this.roundOverPopup.x + 134, this.roundOverPopup.y-51, this.bestDistance + "\n" + this.distance + "\n" + this.score  + "\n" + this.totalCandies, { font: '18px Noto Serif', fill: '#4d4d4d', align: 'right'});
        this.roundOverNumbers.anchor.setTo(1,0);
		this.roundOverNumbers.wordWrap = true;
		this.roundOverNumbers.wordWrapWidth= 300;
		this.roundOverPopupGroup.add(this.roundOverNumbers);
		
		this.upgradeBtnBkgnd = game.add.sprite(this.roundOverPopup.x-60, this.roundOverPopup.y+ 124, 'GameImages');
		this.upgradeBtnBkgnd.frameName = 'UpgradeBtn.psd';
        this.upgradeBtnBkgnd.anchor.setTo(0.5, 0.5);
		this.roundOverPopupGroup.add(this.upgradeBtnBkgnd);
		
		this.playBtnBkgnd = game.add.sprite(this.roundOverPopup.x+60, this.roundOverPopup.y+ 124, 'GameImages');
		this.playBtnBkgnd.frameName = 'PlayBtn.psd';
        this.playBtnBkgnd.anchor.setTo(0.5, 0.5);
		this.roundOverPopupGroup.add(this.playBtnBkgnd);
		
		this.upgradeBtn = game.add.button(this.upgradeBtnBkgnd.x, this.upgradeBtnBkgnd.y + 6.813, 'GameImages', this.onUpgradeBtnDown, this, 'CopperBtn.psd', 'CopperBtn.psd', 'CopperBtnDown.psd');
        this.upgradeBtn.anchor.setTo(0.5, 0.5);
		this.roundOverPopupGroup.add(this.upgradeBtn);
		
		this.playBtn = game.add.button(this.playBtnBkgnd.x, this.playBtnBkgnd.y + 6.813, 'GameImages', this.onPlayBtnDown, this, 'CopperBtn.psd', 'CopperBtn.psd', 'CopperBtnDown.psd');
        this.playBtn.anchor.setTo(0.5, 0.5);
		this.roundOverPopupGroup.add(this.playBtn);
		
		//_________________________________________
		
		this.upgradesPopupGroup = game.add.group();
		this.upgradesPopupGroup.visible = false;
		
		this.upgradesPopupGear1 = game.add.sprite(360-184, 240-115, 'GameImages');
		this.upgradesPopupGear1.frameName = 'UpgradesPopupGear1.psd';
        this.upgradesPopupGear1.anchor.setTo(0.5, 0.5);
		this.upgradesPopupGroup.add(this.upgradesPopupGear1);
		
		this.upgradesPopupGear2 = game.add.sprite(360+94, 240-97, 'GameImages');
		this.upgradesPopupGear2.frameName = 'UpgradesPopupGear2.psd';
        this.upgradesPopupGear2.anchor.setTo(0.5, 0.5);
		this.upgradesPopupGroup.add(this.upgradesPopupGear2);
		
		this.upgradesPopup = game.add.sprite(360, 240, 'GameImages');
		this.upgradesPopup.frameName = 'UpgradesPopup.psd';
        this.upgradesPopup.anchor.setTo(0.5, 0.5);
		this.upgradesPopupGroup.add(this.upgradesPopup);
        
        this.totalCandiesDisplay4 = game.add.text(this.upgradesPopup.x - 25.5, this.upgradesPopup.y-130, "2", { font: '22px Noto Serif', fill: '#000000', align: 'center'});
        this.totalCandiesDisplay4.anchor.setTo(0.5, 0.5);
        this.upgradesPopupGroup.add(this.totalCandiesDisplay4);
        
        this.totalCandiesDisplay3 = game.add.text(this.upgradesPopup.x - 8.5, this.upgradesPopup.y-130, "2", { font: '22px Noto Serif', fill: '#000000', align: 'center'});
        this.totalCandiesDisplay3.anchor.setTo(0.5, 0.5);
        this.upgradesPopupGroup.add(this.totalCandiesDisplay3);
        
        this.totalCandiesDisplay2 = game.add.text(this.upgradesPopup.x + 8.5, this.upgradesPopup.y-130, "2", { font: '22px Noto Serif', fill: '#000000', align: 'center'});
        this.totalCandiesDisplay2.anchor.setTo(0.5, 0.5);
        this.upgradesPopupGroup.add(this.totalCandiesDisplay2);
        
        this.totalCandiesDisplay1 = game.add.text(this.upgradesPopup.x + 25.5, this.upgradesPopup.y-130, "2", { font: '22px Noto Serif', fill: '#000000', align: 'center'});
        this.totalCandiesDisplay1.anchor.setTo(0.5, 0.5);
        this.upgradesPopupGroup.add(this.totalCandiesDisplay1);
		
        this.sleighLabel = game.add.text(this.upgradesPopup.x - 132, this.upgradesPopup.y-82, "Sleigh", { font: '16px Noto Serif', fill: '#333333', align: 'center'});
        this.sleighLabel.anchor.setTo(0.5, 0.5);
        this.upgradesPopupGroup.add(this.sleighLabel);
        
        this.sheildLabel = game.add.text(this.upgradesPopup.x, this.upgradesPopup.y-82, "Shield", { font: '16px Noto Serif', fill: '#333333', align: 'center'});
        this.sheildLabel.anchor.setTo(0.5, 0.5);
        this.upgradesPopupGroup.add(this.sheildLabel);
        
        this.magnetLabel = game.add.text(this.upgradesPopup.x + 132, this.upgradesPopup.y-82, "Magnet", { font: '16px Noto Serif', fill: '#333333', align: 'center'});
        this.magnetLabel.anchor.setTo(0.5, 0.5);
        this.upgradesPopupGroup.add(this.magnetLabel);
        
        this.markersArray = ["UpgradeMarker0.psd","UpgradeMarker1.psd","UpgradeMarker2.psd","UpgradeMarker3.psd"] 
        
        this.sleighMarkers = game.add.sprite(this.upgradesPopup.x - 132, this.upgradesPopup.y + 46, 'GameImages');
		this.sleighMarkers.frameName = this.markersArray[this.sleighLevel];
        this.sleighMarkers.anchor.setTo(0.5, 0.5);
		this.upgradesPopupGroup.add(this.sleighMarkers);
        
        this.shieldMarkers = game.add.sprite(this.upgradesPopup.x, this.upgradesPopup.y + 46, 'GameImages');
		this.shieldMarkers.frameName = this.markersArray[this.shieldLevel];
        this.shieldMarkers.anchor.setTo(0.5, 0.5);
		this.upgradesPopupGroup.add(this.shieldMarkers);
        
        this.magnetMarkers = game.add.sprite(this.upgradesPopup.x + 132, this.upgradesPopup.y + 46, 'GameImages');
		this.magnetMarkers.frameName = this.markersArray[this.magnetLevel];
        this.magnetMarkers.anchor.setTo(0.5, 0.5);
		this.upgradesPopupGroup.add(this.magnetMarkers);
        
        this.sleighUpgradeBtn = game.add.button(this.upgradesPopup.x - 132, this.upgradesPopup.y + 87, 'GameImages', this.onSleighUpgradeBtnDown, this, 'RectangleBtn.psd', 'RectangleBtn.psd', 'RectangleBtnDown.psd');
        this.sleighUpgradeBtn.anchor.setTo(0.5, 0.5);
		this.upgradesPopupGroup.add(this.sleighUpgradeBtn);
        
        this.shieldUpgradeBtn = game.add.button(this.upgradesPopup.x, this.upgradesPopup.y + 87, 'GameImages', this.onShieldUpgradeBtnDown, this, 'RectangleBtn.psd', 'RectangleBtn.psd', 'RectangleBtnDown.psd');
        this.shieldUpgradeBtn.anchor.setTo(0.5, 0.5);
		this.upgradesPopupGroup.add(this.shieldUpgradeBtn);
        
        this.magnetUpgradeBtn = game.add.button(this.upgradesPopup.x + 132, this.upgradesPopup.y + 87, 'GameImages', this.onMagnetUpgradeBtnDown, this, 'RectangleBtn.psd', 'RectangleBtn.psd', 'RectangleBtnDown.psd');
        this.magnetUpgradeBtn.anchor.setTo(0.5, 0.5);
		this.upgradesPopupGroup.add(this.magnetUpgradeBtn);
        
        this.sleighUpgradeBtnLabel = game.add.text(this.upgradesPopup.x - 132, this.upgradesPopup.y + 90, "200", { font: '24px Noto Serif', fill: '#603813', align: 'center'});
        this.sleighUpgradeBtnLabel.anchor.setTo(0.5, 0.5);
        this.upgradesPopupGroup.add(this.sleighUpgradeBtnLabel);
        
        this.shieldUpgradeBtnLabel = game.add.text(this.upgradesPopup.x, this.upgradesPopup.y + 90, "200", { font: '24px Noto Serif', fill: '#603813', align: 'center'});
        this.shieldUpgradeBtnLabel.anchor.setTo(0.5, 0.5);
        this.upgradesPopupGroup.add(this.shieldUpgradeBtnLabel);
        
        this.magnetUpgradeBtnLabel = game.add.text(this.upgradesPopup.x + 132, this.upgradesPopup.y + 90, "200", { font: '24px Noto Serif', fill: '#603813', align: 'center'});
        this.magnetUpgradeBtnLabel.anchor.setTo(0.5, 0.5);
        this.upgradesPopupGroup.add(this.magnetUpgradeBtnLabel);
        
        this.upgradesReplayBtn = game.add.button(this.upgradesPopup.x, this.upgradesPopup.y + 140, 'GameImages', this.onUpgradesReplayBtnDown, this, 'ReplayRoundBtn.psd', 'ReplayRoundBtn.psd', 'ReplayRoundBtnDown.psd');
        this.upgradesReplayBtn.anchor.setTo(0.5, 0.5);
		this.upgradesPopupGroup.add(this.upgradesReplayBtn);
        
        //_________________________________________
        
        this.instructions = game.add.text(360,350, "TAP & HOLD to move up\nRELEASE to move down", { font: '20px Noto Serif', fill: '#c1272d', align: 'center'});
        this.instructions.anchor.setTo(0.5, 0.5);
        
        game.add.tween(this.instructions).to({ y: 800 }, 500, Phaser.Easing.Back.In, true, 3000);
		
        this.touchIsDown = false;
        game.input.onDown.add(this.touchDown, this);
        game.input.onUp.add(this.touchUp, this);
		
		this.puffTimer = game.time.create(false);
    	this.puffTimer.loop(200, this.makePuff, this);
    	this.puffTimer.start();
		
		this.magnetTimer = game.time.create(false);
        this.shieldTimer = game.time.create(false);
		                
        this.startRound();
	},
    
    touchDown: function () {
        this.touchIsDown = true;
    },
    
    touchUp: function () {
        this.touchIsDown = false;
    },
    
    startRound: function () {
        this.obstacleGroup.removeAll();
        this.gameOn = true;
		this.HUD.visible = true;
		this.sleigh.frameName = this.sleighArray[this.sleighLevel];
        this.sleigh.y = 200;
        this.sleighState = "flying";
		this.sleighSpeed = this.fullSpeed;
		this.puffTimer.resume();
		
        this.distance = 0;
		this.displayDistance = 0;
		this.HUDDistance.setText(this.displayDistance + " m");
        this.lives  = this.livesArray[this.sleighLevel];
		this.HUDLives.setText(this.lives);
		this.score = 0;
		this.HUDScore.setText(this.score);
		if (this.shieldLevel>0) {
			this.shield.visible = true;
			this.shieldOn = true;
			this.shieldTimer.add(12000* this.shieldLevel, function () {this.shield.visible = false,  this.shieldOn = false, console.log("Shield Off") }, this);
            this.shieldTimer.start();
		}
		
		if (this.magnetLevel>0) {
			this.magnetBorder.visible = true;
			this.magnetOn = true;
            this.magnetTimer.add(12000* this.magnetLevel, function () {this.magnetBorder.visible = false,  this.magnetOn = false }, this);
            this.magnetTimer.start();
		}
    },
		
	createObstacles: function () {
        if (this.sleighState === "flying") {
			var obstacleNum = game.rnd.integerInRange(0, this.obstaclesList.length-1);
			this.distanceBetweenObstacles = this.obstaclesDistanceList[obstacleNum];
			
			for (var i= 0; i < this.obstaclesList[obstacleNum].length; i++) {
				if (this.obstaclesList[obstacleNum][i][0]==1) {
					var candy =  game.add.sprite(this.obstaclesList[obstacleNum][i][1] + this.gameWidth, this.obstaclesList[obstacleNum][i][2], 'GameImages');
                    candy.animations.add("candyAnim", Phaser.Animation.generateFrameNames('CandyAnim', 1, 20, '.png', 4));
					candy.frameName = 'CandyAnim0001.png';
					candy.anchor.setTo(0.5, 0.5);
                    candy.type = "candy";
                    candy.shined = false;
					candy.dirty = false;
					game.physics.arcade.enable(candy);
					this.obstacleGroup.add(candy);
				}
				if (this.obstaclesList[obstacleNum][i][0]==2) {
					var obstacle =  game.add.sprite(this.obstaclesList[obstacleNum][i][1] + this.gameWidth, this.obstaclesList[obstacleNum][i][2], 'GameImages');
					obstacle.frameName = 'Balloon1.psd';
					obstacle.anchor.setTo(0.5, 0.5);
                    obstacle.type = "balloon";
					obstacle.dirty = false;
					game.physics.arcade.enable(obstacle);
					this.obstacleGroup.add(obstacle);
				}
                if (this.obstaclesList[obstacleNum][i][0]==3) {
					var obstacle =  game.add.sprite(this.obstaclesList[obstacleNum][i][1] + this.gameWidth, this.obstaclesList[obstacleNum][i][2], 'GameImages');
					obstacle.frameName = 'Airship1.psd';
					obstacle.anchor.setTo(0.5, 0.5);
                    obstacle.type = "balloon";
					obstacle.dirty = false;
					game.physics.arcade.enable(obstacle);
					this.obstacleGroup.add(obstacle);
				}
                if (this.obstaclesList[obstacleNum][i][0]==4) {
					var obstacle =  game.add.sprite(this.obstaclesList[obstacleNum][i][1] + this.gameWidth, this.obstaclesList[obstacleNum][i][2], 'GameImages');
					obstacle.frameName = 'Airship2.psd';
					obstacle.anchor.setTo(0.5, 0.5);
                    obstacle.type = "balloon";
					obstacle.dirty = false;
					game.physics.arcade.enable(obstacle);
					this.obstacleGroup.add(obstacle);
				}
                if (this.obstaclesList[obstacleNum][i][0]==5) {
					var obstacle =  game.add.sprite(this.obstaclesList[obstacleNum][i][1] + this.gameWidth, this.obstaclesList[obstacleNum][i][2], 'GameImages');
					obstacle.frameName = 'Airship3.psd';
					obstacle.anchor.setTo(0.5, 0.5);
                    obstacle.type = "balloon";
					obstacle.dirty = false;
					game.physics.arcade.enable(obstacle);
					this.obstacleGroup.add(obstacle);
				}
				if (this.obstaclesList[obstacleNum][i][0]==6) {
					var obstacle =  game.add.sprite(this.obstaclesList[obstacleNum][i][1] + this.gameWidth, this.obstaclesList[obstacleNum][i][2], 'GameImages');
					obstacle.frameName = 'Chimneys.psd';
					obstacle.anchor.setTo(0.5, 0.5);
                    obstacle.type = "smokestacks";
					obstacle.dirty = false;
					game.physics.arcade.enable(obstacle);
					this.obstacleGroup.add(obstacle);
				}
				if (this.obstaclesList[obstacleNum][i][0]==7) {
					var obstacle =  game.add.sprite(this.obstaclesList[obstacleNum][i][1] + this.gameWidth, this.obstaclesList[obstacleNum][i][2], 'GameImages');
					obstacle.animations.add("smokeAnim", Phaser.Animation.generateFrameNames('ChimneySmokeAnim', 1, 20, '.png', 4));
					obstacle.frameName = 'ChimneySmokeAnim0001.png';
					obstacle.anchor.setTo(0.5, 0.5);
                    obstacle.type = "smoke";
					obstacle.dirty = false;
					game.physics.arcade.enable(obstacle);
					this.obstacleGroup.add(obstacle);
					obstacle.animations.play('smokeAnim', 30, true);
				}
                if (this.obstaclesList[obstacleNum][i][0]==8) {
                    var randomHeight = game.rnd.integerInRange(150,350)
					var obstacle =  game.add.sprite(this.obstaclesList[obstacleNum][i][1] + this.gameWidth, randomHeight, 'GameImages');
					obstacle.frameName = 'PirateShip.psd';
					obstacle.anchor.setTo(0.5, 0.5);
                    obstacle.rocketFired = false;
					obstacle.dirty = false;
                    obstacle.type = "pirateShip";
					game.physics.arcade.enable(obstacle);
					this.obstacleGroup.add(obstacle);
                   // game.time.events.repeat(25, 80, function() { obstacle.body.velocity.y = Math.sin(game.time.now) * 25; }, this);
				}
			}
		}
	},
    
    update: function() {
        this.checkCollisions();
        this.moveObstacles();
        this.moveSleigh();
        this.moveBackground();
		this.makeObstacles();
		this.moveGears();
		this.destroyChildren();
    },
	
	moveGears: function () {
        if (this.upgradesPopupGroup.visible) {
            this.upgradesPopupGear1.angle += 1;
            this.upgradesPopupGear2.angle -= 1;
        }
        if (this.roundOverPopupGroup.visible) {
            this.roundOverPopupGear1.angle += 1;
            this.roundOverPopupGear2.angle -= 1;
        }
	},
	
	checkCollisions: function () {
		if (this.sleighState === "flying") {
			for (var i = this.obstacleGroup.length-1; i >= 0 ; i--) {
			//for (var i = 0; i< this.obstacleGroup.length; i++) {
				if (this.magnetOn) {
					if (this.collidesCircleCircle(this.magnetBorder, this.obstacleGroup.children[i])) {
						if (this.obstacleGroup.children[i].type === "candy" && this.obstacleGroup.children[i].alive) {
							this.obstacleGroup.children[i].x -= (this.obstacleGroup.children[i].x - this.magnetBorder.x) * 0.2;
							this.obstacleGroup.children[i].y -= (this.obstacleGroup.children[i].y - this.magnetBorder.y) * 0.2;
						}
					}
				} 
				
				//if (this.collidesSleighCircle(this.obstacleGroup.children[i])) {
                if (this.collidesCircleCircle(this.sleigh,this.obstacleGroup.children[i])) {
					if (this.obstacleGroup.children[i].type === "candy" && this.obstacleGroup.children[i].alive) {
						this.obstacleGroup.children[i].dirty = true;
						this.score += 1;
						this.totalCandies += 1;
						this.HUDScore.setText(this.score.toString());
                        this.PickUpCandySound.play();
					}
					if (this.obstacleGroup.children[i].type === "balloon" && this.obstacleGroup.children[i].alive && !this.shieldOn) {
                        this.CrashSound.play();
						this.obstacleCollision();
					}
                    if (this.obstacleGroup.children[i].type === "pirateShip" && this.obstacleGroup.children[i].alive && !this.shieldOn) {
                        this.CrashSound.play();
						this.obstacleCollision();
					}
				}
				if (checkOverlap(this.sleigh, this.obstacleGroup.children[i])) {
					if (this.obstacleGroup.children[i].type === "smokestacks" && !this.shieldOn) {
						console.log("smokestacks");
                        this.CrashSound.play();
						this.obstacleCollision();
					}
					if (this.obstacleGroup.children[i].type === "smoke" && !this.shieldOn) {
						console.log("smoke");
                        this.sleigh.y -= 4;
					}
                    if (this.obstacleGroup.children[i].type === "rocket" && this.obstacleGroup.children[i].alive && !this.shieldOn) {
                        this.CrashSound.play();
						this.obstacleGroup.children[i].dirty = true;
						this.obstacleCollision();
					}
				}
			}
		}
	},
	
	obstacleCollision: function () {
		this.sleigh.frameName = this.sleighArray[this.sleighLevel+4];
		this.lives--;
		this.HUDLives.setText(this.lives);
		if (this.lives===0) {
			this.sleighState = "stopped";
			this.sleighSpeed = 0;
			this.puffTimer.pause();
			this.magnetBorder.visible = false;
			this.shield.visible = false;
			this.roundOver();
        } else {
			this.sleighState = "respawing";
			this.respawnSleigh();
		}
	},
	
	roundOver: function () {
		this.HUD.visible = false;
        this.magnetTimer.stop();
        this.shieldTimer.stop();
		if (this.displayDistance > this.bestDistance) {
			this.bestDistance = this.displayDistance;
		}
        
        if (this.bestDistance>= 1000) {
            this.bronzeGear.visible = true;
        }
        if (this.bestDistance>= 2000) {
            this.silverGear.visible = true;
        }
        if (this.bestDistance>= 3000) {
            this.goldGear.visible = true;
        }
		this.roundOverNumbers.setText(this.bestDistance + " m\n" + this.displayDistance + " m\n" + this.score  + "\n" + this.totalCandies);
		this.roundOverPopupGroup.y =  0;
		this.roundOverPopupGroup.visible = true;
		game.add.tween(this.roundOverPopupGroup).from({ y: -360 }, 500, Phaser.Easing.Back.Out, true, 0);
	},
    	
	makeObstacles: function () {
		if (this.distanceMovedAfterObstacle > this.distanceBetweenObstacles) {
			this.distanceMovedAfterObstacle = 0;
			this.createObstacles();
		}
	},
    
    moveObstacles: function () {
        for (var i = this.obstacleGroup.length-1; i >= 0 ; i--) {
            if  (this.obstacleGroup.children[i].type=== "rocket") {
                this.obstacleGroup.children[i].x -= this.sleighSpeed * 2;
                
            } else {
                this.obstacleGroup.children[i].x -= this.sleighSpeed;
            }
            if (this.obstacleGroup.children[i].type=== "candy" && this.obstacleGroup.children[i].x<500 && !this.obstacleGroup.children[i].shined) {
                this.obstacleGroup.children[i].shined = true;
                this.obstacleGroup.children[i].animations.play('candyAnim', 30, false);
            }
            if (this.obstacleGroup.children[i].type=== "pirateShip" && this.obstacleGroup.children[i].x<700 && !this.obstacleGroup.children[i].rocketFired) {
                this.obstacleGroup.children[i].rocketFired = true;
                this.fireRocket(this.obstacleGroup.children[i].x,this.obstacleGroup.children[i].y)
            }
			if (this.obstacleGroup.children[i].x<-100) {
				this.obstacleGroup.children[i].dirty = true;
            }
        }
    },
    
    moveBackground: function () {
        this.cloudsFarTile.tilePosition.x -= this.sleighSpeed * 0.1;
        this.cloudsNearTile.tilePosition.x -= this.sleighSpeed * 0.2;
        this.skylineTile.tilePosition.x -= this.sleighSpeed * 0.5;
        this.foregndTile.tilePosition.x -= this.sleighSpeed;
		this.distanceMovedAfterObstacle += this.sleighSpeed;
		this.distance += this.sleighSpeed;
		this.displayDistance = game.math.floorTo(this.distance *  0.01);
		this.HUDDistance.setText(this.displayDistance + " m");
    },
    
    moveSleigh: function () {
        if (this.touchIsDown && (this.sleighState === "flying" || this.sleighState === "respawning") ) {
			this.sleighVelocity += 2;
            
			//this.sleigh.body.velocity.y -= this.sleighVelocity * 0.11;
			this.sleigh.body.velocity.y = -this.sleighVelocity;
            game.add.tween(this.sleigh).to({angle: -5}, 100).start();
        } else {
			this.sleighVelocity = this.sleighStartVelocity;
		}
        if (this.sleigh.angle < 5)  this.sleigh.angle += 1;
        if (this.sleigh.angle > 5)  this.sleigh.angle -= 1;
		
		if (this.shieldOn) {
			this.shield.y = this.sleigh.y;
			this.shield.angle = this.sleigh.angle;
		}
		
	if (this.magnetOn) {
			this.magnetBorder.y = this.sleigh.y;
		}
    },
	
	destroyChildren: function () {
		for (var i = this.obstacleGroup.length-1; i >= 0 ; i--) {
			if (this.obstacleGroup.children[i].dirty=== true) {
				this.obstacleGroup.children[i].destroy();
			}
		}
	},
	
	makePuff: function () {
		var puff =  game.add.sprite(this.sleighX - 35 , this.sleigh.y, 'GameImages');
		puff.frameName = 'Puff.psd';
		puff.anchor.setTo(0.5, 0.5);
		
		puff.animations.add("puffAnim", Phaser.Animation.generateFrameNames('PuffAnim', 1, 10, '.png', 4));
		this.obstacleGroup.add(puff);
		puff.animations.play('puffAnim', 30, false);
	},
    
    fireRocket: function (PirateShipX, PirateShipY) {
        var rocket =  game.add.sprite(PirateShipX - 53, PirateShipY +9, 'GameImages');
        rocket.frameName = 'Rocket.psd';
        rocket.anchor.setTo(0.5, 0.5);
        rocket.type = "rocket";
        game.physics.arcade.enable(rocket);
        this.obstacleGroup.add(rocket);
        this.CannonSound.play();
        
        var puff =  game.add.sprite(PirateShipX - 34, PirateShipY +9, 'GameImages');
		puff.frameName = 'Puff.psd';
		puff.anchor.setTo(0.5, 0.5);
        puff.scale.x = 3;
        puff.scale.y = 3;
		puff.animations.add("puffAnim", Phaser.Animation.generateFrameNames('PuffAnim', 1, 10, '.png', 4));
		this.obstacleGroup.add(puff);
		puff.animations.play('puffAnim', 30, false);
    },
	
	respawnSleigh: function () {
		this.sleighState = "respawning";
		this.sleigh.alpha = 0.5;
		this.spawnTween = game.add.tween(this.sleigh).to({ alpha: 1 }, 500, Phaser.Easing.None, true, 2000);
		this.spawnTween.onComplete.add(function() {this.sleighState = "flying" ; },this);
	},
	
	collidesCircleCircle: function(body1, body2){
		var radius1 = body1.width * 0.5;
		var radius2 = body2.width * 0.5;
		if(Math.abs(body1.x - body2.x) < radius1 + radius2 &&
			Math.abs(body1.y - body2.y) < radius1 + radius2){
			var distance = this.getPowDistance(body1.x, body1.y, body2.x, body2.y);
			if (distance < (radius1 + radius2) * (radius1 + radius2)){
				return true;
			}
		}
		return false;
	},
	
	collidesSleighCircle: function(body1){
		var radius1 = body1.width * 0.5;
		if(Math.abs(body1.x - this.sleighX) < radius1 + this.sleighRadius &&
			Math.abs(body1.y - this.sleigh.y) < radius1 + this.sleighRadius){
			var distance = this.getPowDistance(body1.x, body1.y, this.sleighX, this.sleigh.y);
			if (distance < (radius1 + this.sleighRadius) * (radius1 + this.sleighRadius)){
				return true;
			}
		}
		return false;
	},
	
	onUpgradeBtnDown: function () {
		this.SwishSound.play();
        this.updateUpgradesPoup();
		this.upgradesPopupGroup.y = -500;
		game.add.tween(this.roundOverPopupGroup).to({ y: 960 }, 500, Phaser.Easing.Back.In, true, 0);
		game.time.events.add(500, function () {this.roundOverPopupGroup.visible = false; this.SwishSound.play(); this.upgradesPopupGroup.visible = true }, this);
		game.add.tween(this.upgradesPopupGroup).to({ y: 0 }, 500, Phaser.Easing.Back.Out, true, 500);
	},
	
	onPlayBtnDown: function () {
		this.SwishSound.play();
		game.add.tween(this.roundOverPopupGroup).to({ y: 960 }, 500, Phaser.Easing.Back.In, true, 0);
		game.time.events.add(500, function () {this.roundOverPopupGroup.visible = false, this.startRound() }, this);
	},
    
    updateUpgradesPoup: function () {
        var totalCandiesNumArray = [0,0,0,0];
        var sNumber = this.totalCandies.toString();
        for (var i = 0, len = sNumber.length; i < len; i += 1) {
            totalCandiesNumArray.push(+sNumber.charAt(i));
        }
        this.totalCandiesDisplay1.setText(totalCandiesNumArray[totalCandiesNumArray.length - 1]);
        this.totalCandiesDisplay2.setText(totalCandiesNumArray[totalCandiesNumArray.length - 2]);
        this.totalCandiesDisplay3.setText(totalCandiesNumArray[totalCandiesNumArray.length - 3]);
        this.totalCandiesDisplay4.setText(totalCandiesNumArray[totalCandiesNumArray.length - 4]);
        
        this.sleighUpgradeBtnLabel.setText(this.sleighUpgradesArray[this.sleighLevel]);
        this.shieldUpgradeBtnLabel.setText(this.shieldUpgradesArray[this.shieldLevel]);
        this.magnetUpgradeBtnLabel.setText(this.magnetUpgradesArray[this.magnetLevel]);
        
        this.sleighMarkers.frameName = this.markersArray[this.sleighLevel];
        this.shieldMarkers.frameName = this.markersArray[this.shieldLevel];
        this.magnetMarkers.frameName = this.markersArray[this.magnetLevel];
    },
    
     onSleighUpgradeBtnDown: function () {
         if (this.totalCandies>= this.sleighUpgradesArray[this.sleighLevel] && this.sleighLevel <=3) {
             this.RatchetSound.play();
             this.totalCandies -= this.sleighUpgradesArray[this.sleighLevel];
             this.sleighLevel++;
             this.updateUpgradesPoup();
         }
	},
    
    onShieldUpgradeBtnDown: function () {
		if (this.totalCandies>= this.shieldUpgradesArray[this.shieldLevel] && this.shieldLevel <=3) {
            this.RatchetSound.play();
            this.totalCandies -= this.shieldUpgradesArray[this.shieldLevel];
            this.shieldLevel++;
			this.shieldOn = true;
			this.updateUpgradesPoup();
         }
	},
    
    onMagnetUpgradeBtnDown: function () {
		if (this.totalCandies>= this.magnetUpgradesArray[this.magnetLevel] && this.magnetLevel <=3) {
            this.RatchetSound.play();
            this.totalCandies -= this.magnetUpgradesArray[this.magnetLevel];
            this.magnetLevel++;
			this.magnetOn = true;
            this.updateUpgradesPoup();
         }
	},

    onUpgradesReplayBtnDown: function () {
		//this.ButtonSound.play();
		this.SwishSound.play();
		game.add.tween(this.upgradesPopupGroup).to({ y: 960 }, 500, Phaser.Easing.Back.In, true, 0);
		game.time.events.add(500, function () {this.roundOverPopupGroup.visible = false, this.startRound() }, this);
	},

	getPowDistance: function(fromX, fromY, toX, toY){
		var a = Math.abs(fromX - toX);
		var b = Math.abs(fromY - toY);
		return (a * a) + (b * b);
	},
};